# -*- coding: utf-8 -*-
#
# 時間決め打ちのsigma-変数グラフのスナップショットを書く. divid の一要素目に時間がいつから始まるか, 二要素目はそこから時間までを書くかを表す
#
$LOAD_PATH.push(Dir.pwd)
require "gphys_const"
require "gphys_time"
require "numru/ggraph"
require "gphys_draw"
include NumRu

dir = '..'
dir2 = '../../dcpam_M_T1L32_const_0.2_lon0lat30'
#vnames = ['SurfTemp', 'KMHF_d', 'NewmanF_d','Tau']
#vnames = ['Ps','Sens']
#vnames = ['Temp','HeatFlux','Dust']
#vnames = ['HeatFlux', 'Temp', 'U']
#vnames = ['DDAF_d','DTHF_d','SurfTemp','SensB']
#vnames = ['KMHF_d']
vnames = ['HeatFlux']

figdir = 'figs'
#Dir::mkdir( figdir )


#iyrs = 3
#iyre = 3
iyrs = 5
iyre = 5
#lt = [1,2,3,4,5,6,7,8,9,10,11,12]#見たい月
lt = [1]
#lt = [8,9,10]#見たい月
#divid = [0,4000]#区切り時間. その月の初めからの場合は1番目の要素 に 0 を入れる. 区切る時間は2番目の要素に入れる. dcl の都合上最大区切り時間は 4000
#divid = [0,25]
divid = [32,5]
#divid = [0,73]
#lat = [60,-30,-50]
#lat = [50,-30]#固定する緯度
#lat = [-30,50]
#lat = [-30]
#lon = [90,270]
#lon = [90]
#lon = 326.79
lon = 0


#if vname = "KMHF_d" then
#  pat = 1.0e-10
#elsif vname = "NewmanF_d" then
#  pat = 1.0e-10
#end

for ivar in 0..(vnames.length - 1)
  p "test1"
  for imon in 0..(lt.length - 1)
    p 'ls = '+lt[imon].to_s
    p vnames[ivar]

    divhours = time_dis(iyrs, iyre,divid, lt)
    for hours in divhours[imon][1]..divhours[imon][2]

      system('ruby draw_1D_z-val.rb ' + dir + ' ' + dir2 + ' ' + vnames[ivar] + ' ' + hours.to_s) 
system("pdf2ps dcl.pdf dcl.ps")
system("rm dcl.pdf")
      #    system("dclpsrmcm dcl.ps | dclpsrot | dclpsmargin > kari")
      #    system("mv kari dcl.ps")

      system("pstoimg -type gif -flip r270 dcl.ps")
system("convert dcl.gif -trim dcl.gif")
#      system('pstoimg -type gif -flip r90 dcl.ps')
      com = "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+"_z-val_"+hours.to_s+".gif"
      system(com)
      com = "mv dcl.ps "+figdir+"/dcl_"+vnames[ivar]+"_z-val_"+hours.to_s+".ps"
      system(com)
    end
  end
end
