﻿# -*- coding: utf-8 -*-
#
# 季節平均した level 固定の緯度経度図
$LOAD_PATH.push(Dir.pwd)
require "gphys_const_v1.1"
require "numru/ggraph"
require "gphys_time"
include NumRu

dir = '../util_s2p-2014-06-20/out'
#dir = '..'
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'NewmanF_d', 'TauXB', 'TauYB','Tau']
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'Tau']
vnames = ['V','Geopotential']
#vnames = ['SurfMajCompIce']
figdir = 'figs'
#Dir::mkdir( figdir )


iyrs = 11
iyre = 20
#iyrs = 1
iyrs = 3
iyre = 3
#iyrs = 1
#iyre = 1

alt = [400]
#alt = [0]
for ivar in 0..(vnames.length-1)
  p 'vname: ' + vnames[ivar]
  for altnum in 0..alt.size-1
    for imon in 1..12
    
      p 'mon: ' + imon.to_s

      system('ruby draw_3D_xymonmean.rb ' + dir + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + imon.to_s + ' '+ alt[altnum].to_s)
system("pdf2ps dcl.pdf dcl.ps")
system("rm dcl.pdf")

      system("pstoimg -type gif -flip r270 dcl.ps")
system("convert dcl.gif -trim dcl.gif")
      com = sprintf( "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+"_"+alt[altnum].to_s+'_'+"mon%0#{2}d.gif", imon )
      system(com)
      com = sprintf( "mv dcl.ps  "+figdir+"/dcl_"+vnames[ivar]+"_"+alt[altnum].to_s+'_'+"mon%0#{2}d.ps" , imon )
      system(com)
    end
  end
end

