﻿# -*- coding: utf-8 -*-
#
# Ls を固定した東西平均子午面図 (level-lat)
$LOAD_PATH.push(Dir.pwd)
require 'gphys_const'
require 'gphys_time'
require "numru/ggraph"
include NumRu

#dir = '..'
dir = '../util_s2p-2014-06-20/out'


figdir = 'figs'
#Dir::mkdir( figdir )

#vnames = ['Temp', 'U', 'MSF', 'QVap', 'ANGMOM', 'DustDensScledOptDep','Dust','DOD067']
vnames = ['Temp', 'U', 'MSF', 'ANGMOM', 'DustDensScledOptDep','Dust','Vor']
#vnames = ['U']

iyrs = 3
iyre = 3
ls = [0,90,180,270]
#iyrs = 1
#iyre = 1
for ivar in 0..(vnames.length-1)
  if vnames[ivar] == 'MSF'
    gphys = GPhys::IO.open( dir+'/V.nc', 'V' )
  elsif vnames[ivar] == 'ANGMOM'
    gphys = GPhys::IO.open( dir+'/U.nc', 'U' )
  else
    gphys = GPhys::IO.open( dir+'/'+vnames[ivar]+'.nc', vnames[ivar] )
  end
  dcpam_ls('..',iyrs,iyre,gphys)
  for lsnum in 0..ls.size-1
    p vnames[ivar] + ' at Year: ' + iyrs.to_s + ' to ' + iyre.to_s + ', Ls: ' + ls[lsnum].to_s

    system('ruby draw_3D_zm_ls.rb ' + dir + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + ls[lsnum].to_s)
system("pdf2ps dcl.pdf dcl.ps")
system("rm dcl.pdf")

    system("pstoimg -type gif -flip r270 dcl.ps")
system("convert dcl.gif -trim dcl.gif")
    com = sprintf( "mv dcl.gif " + figdir + "/dcl_zm_ls_"+vnames[ivar]+"_ls%0#{3}d.gif", ls[lsnum] )
    system(com)
    com = sprintf( "mv dcl.ps " + figdir + "/dcl_zm_ls_"+vnames[ivar]+"_ls%0#{3}d.ps", ls[lsnum] )
    system(com)
  end
end
#if File.exists?('./sagyou.nc') then
#  File.delete('./sagyou.nc')
#end
