﻿# -*- coding: utf-8 -*-
#
# 3次元の量を高度を決め打ちにして緯度ー時間分布を求める.
$LOAD_PATH.push(Dir.pwd)
require "gphys_const"
require "numru/ggraph"
include NumRu

#dir = '..'
dir = '../util_s2p-2014-06-20/out'
#vnames = ['SigDot', 'OMG']
#vnames = ['OMG']
vnames = ['DOD']

figdir = 'figs'
#Dir::mkdir( figdir )


#iyrs = 11
#iyre = 20
#iyrs = 1
iyrs = 3
iyre = 3
#iyrs = 1
#iyre = 1
#iyrs = 2
#iyre = 2

##solswitch = false #true のとき単位をsol^-1 にする. デフォルトはfalse.
#
##colorswitch = false #true のときKMHF_dのカラーレベルを下げる.
##colorswitch = true 
#
##logswitch = false #true のときカラーバーを一定の間隔にしラベルを全表示. sol and color がtrue の場合は対数表示もする
##logswitch = true

#alt_value_switch = false 
alt_value_switch = true
# alt_value_switch が true のときは高度の値で指定高度を指定する. alt_value_switch が false の時は高度層番号で指定する

#alt = [12]
#alt = [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34]
alt = [1878.9, 1658.2, 1463.3, 1291.4, 1139.6, 1005.7, 887.54, 783.26,
    691.22, 610, 538.32, 475.07, 419.25, 369.98, 326.51, 288.14, 254.29,
    224.41, 198.04, 174.77, 154.23, 136.11, 120.12, 106, 93.547, 82.555,
    72.854, 64.294, 56.739, 50.072, 44.188, 38.996, 34.414, 30.37, 26.802,
    23.652, 20.873, 18.42, 16.256, 14.346, 12.66, 11.173, 9.8597, 8.7012,
    7.6788, 6.7765, 5.9802, 5.2775, 4.6574, 4.1101, 3.6272, 3.201, 2.8249,
    2.4929, 2.2, 1.9415, 1.7134, 1.512, 1.3344, 1.1776, 1.0392, 0.9171,
    0.80934, 0.71424, 0.63031, 0.55625, 0.49089, 0.43321, 0.3823, 0.33738,
    0.29774, 0.26275, 0.23188, 0.20463, 0.18059, 0.15937, 0.14064, 0.12412,
    0.10953, 0.096661, 0.085303, 0.07528, 0.066434, 0.058628, 0.051739,
    0.04566, 0.040294, 0.03556, 0.031381, 0.027694, 0.02444, 0.021568,
    0.019034, 0.016797, 0.014824, 0.013082, 0.011545, 0.010188, 0.0089909,
    0.0079345, 0.0070021, 0.0061794, 0.0054533, 0.0048125, 0.004247]
p vnames.length-1
for ivar in 0..(vnames.length-1)

  for alt_num in 0..(alt.length-1)
    p 'vname: ' + vnames[ivar]

    #system('ruby draw_3D_zm_t.rb ' + dir + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' '+solswitch.to_s + ' '+ colorswitch.to_s + ' ' + logswitch.to_s)
system("pdf2ps dcl.pdf dcl.ps")
system("rm dcl.pdf")
    system('ruby draw_3D_zm_t.rb ' + dir + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' '+alt_value_switch.to_s + ' '+ alt[alt_num].to_s)
system("pdf2ps dcl.pdf dcl.ps")
system("rm dcl.pdf")

    system("pstoimg -type gif -flip r270 dcl.ps")
system("convert dcl.gif -trim dcl.gif")
    if alt_value_switch then
      com = "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+"_num" + "%0#{2}d"%(alt_num) + "alt-value"+alt[alt_num].to_s+"_3D_zm-time"+".gif" 
      system(com)
      com = "mv dcl.ps  "+figdir+"/dcl_"+vnames[ivar]+"_num" + "%0#{2}d"%(alt_num) + "alt-value"+alt[alt_num].to_s+"_3D_zm-time"+".ps"
    else
      com = "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+"_alt-num"+"%0#{4}d"%(alt[alt_num].to_s)+"_3D_zm-time"+".gif"
      system(com)
      com = "mv dcl.ps "+figdir+"/dcl_"+vnames[ivar]+"_alt-num"+"%0#{4}d"%(alt[alt_num].to_s)+"_3D_zm-time"+".ps"
    end
    system(com)
  end
end
