﻿# coding: utf-8
#
# σ座標での東西平均季節平均子午面図
$LOAD_PATH.push(Dir.pwd)
require 'gphys_const'
require "numru/ggraph"
include NumRu

dir = '..'
#dir = '../util_s2p-2014-06-20/out'

daysOfYear = 0
DaysOfMonth.each do |i|
  daysOfYear += i
end
p 'DEBUG: days in a year: ' + daysOfYear.to_s

figdir = 'figs'
#Dir::mkdir( figdir )

#vnames = ['Temp', 'U', 'MSF', 'QVap', 'ANGMOM', 'DustDensScledOptDep','Dust','DOD067']
#vnames = ['Temp', 'U', 'MSF', 'ANGMOM', 'DustDensScledOptDep','Dust','DOD067','DustPresc','HeatFlux','MomFluxX','MomFluxY', 'TKE']
#vnames = ['Temp', 'U', 'MSF', 'ANGMOM', 'DustDensScledOptDep','Dust','DOD067','HeatFlux','MomFluxX','MomFluxY', 'TKE','PotTemp']
vnames = ['Dust', 'HeatFlux','TKE','PotTemp']
#vnames = ['Temp', 'U', 'MSF', 'ANGMOM', 'DustDensScledOptDep','Dust','DOD067','HeatFlux','TKE','PotTemp']
#vnames = ['TKE', 'TKEDiss','TKEPBuoy','TKEPShear']
#vnames = ['DOD067','HeatFlux','MomFluxX','MomFluxY']
#vnames = ['DOD067','HeatFlux','MomFluxX','MomFluxY']
#vnames = ['U']
#vnames = ['DOD067']
#vnames = ['SigDot','Geopotential','V']

iyrs = 3
iyre = 3
#iyrs = 1
#iyre = 1

for ivar in 0..(vnames.length-1)
  for imon in 1..12
    p vnames[ivar] + ' at Year: ' + iyrs.to_s + ' to ' + iyre.to_s + ', Month: ' + imon.to_s

    system('ruby draw_3D_zm_z.rb ' + dir + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + imon.to_s)
system("pdf2ps dcl.pdf dcl.ps")
system("rm dcl.pdf")

    system("pstoimg -type gif -flip r270 dcl.ps")
system("convert dcl.gif -trim dcl.gif")
    com = sprintf( "mv dcl.gif " + figdir + "/dcl_zm_log_"+vnames[ivar]+"_mon%0#{2}d.gif", imon )
    system(com)
    com = sprintf( "mv dcl.ps " + figdir + "/dcl_zm_log_"+vnames[ivar]+"_mon%0#{2}d.ps", imon )
    system(com)
  end
end
