﻿# coding: utf-8
require "numru/ggraph"
include NumRu

#ローカルタイムでダスト巻き上げが起こった回数
def dcpam_timenum_draw(timenum)

  time = NArray.sfloat(25).indgen
  #< DCLのオープンと設定 >
  DCL.gropn(2)
  DCL.grfrm
  #DCL.sldiv('y',2,2)           # 2x2に画面分割, 'y'=yoko: 左上→右上→左下...
  DCL.sgpset('lcntl', false)   # 制御文字を解釈しない
  DCL.sgpset('lfull',true)     # 全画面表示
  DCL.uzfact(0.75)             # 座標軸の文字列サイズを 0.75 倍
  DCL.sgpset('lfprop',true)    # プロポーショナルフォントを使う

  #< GGraph による 描画 >
  #GGraph.set_fig 'viewport'=>[0.15,0.85,0.1,0.6], 'window'=>[0,360,MonLs[mon-1],MonLs[mon]]
  #GGraph.set_fig 'viewport'=>[0.15,0.85,0.1,0.6] 
  #GGraph.set_fig 'viewport'=>[0.10,0.77,0.1,0.6] 

  DCL::usspnt(time, timenum)
  DCL::uspfit
  DCL::grstrf
  DCL::ussttl('Time','hours','Number of dust lifting', ' ') 
  DCL::usdaxs
  DCL::uulin(time[0..-1],timenum[0..-1])
  DCL.grcls
end
